### Method

# RB ShellPlayer set_playback_state

#### Declaration [src]

    void
    rb_shell_player_set_playback_state (
      RBShellPlayer* player,
      gboolean shuffle,
      gboolean repeat
    )

#### Description [src]

Sets the state of the shuffle and repeat settings.

#### Parameters

`shuffle`

  Type: `gboolean`

  Whether to enable the shuffle setting.

`repeat`

  Type: `gboolean`

  Whether to enable the repeat setting.